shishi_kdc_sendrecv(3)

NAME
shishi_kdc_sendrecv - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdc_sendrecv(Shishi * handle, const char * realm, const char * indata, size_t inlen, char ** outdata, size_t * outlen);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

const char * realm
    string with realm name.

const char * indata
    Packet to send to KDC.

size_t inlen
    Length of indata.

char ** outdata
    Newly allocated string with data returned from KDC.

size_t * outlen
    Length of outdata.

DESCRIPTION
Send packet to KDC for realm and receive response. The code finds KDC addresses from configuration file, then by querying for SRV records for the realm, and finally by using the realm name as a hostname.

RETURNS
SHISHI_OK on success, SHISHI_KDC_TIMEOUT if a timeout was reached, or other errors.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.